# Value (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.parameter

## Class Value

- java.lang.Object
- - net.fortuna.ical4j.vcard.Parameter
  - - net.fortuna.ical4j.vcard.parameter.Value

All Implemented Interfaces:
  Serializable

    public final class Value
    extends Parameter

VALUE parameter. $Id$ Created on 21/08/2008

Author:
  Ben
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Parameter

`Parameter.Id`

### Field Summary

Fields
`static Value` `BINARY` Binary value parameter.
`static Value` `BOOLEAN` Boolean value parameter.
`static Value` `DATE` Date value parameter.
`static Value` `DATE_AND_OR_TIME` date-and-or-time value parameter.
`static Value` `DATE_TIME` date-time value parameter.
`static Value` `DURATION` Resource duration value parameter.
`static ParameterFactory<Value>` `FACTORY`
`static Value` `FLOAT` Float value parameter.
`static Value` `INTEGER` Integer value parameter.
`static Value` `LANGUAGE_TAG` language-tag value parameter.
`static Value` `TEXT` Text value parameter.
`static Value` `TIME` Time value parameter.
`static Value` `TIMESTAMP` Timestamp value parameter.
`static Value` `URI` URI value parameter.
`static Value` `UTC_OFFSET` utc-offset value parameter.

### Constructor Summary

Constructors
Constructor and Description
`Value(String value)`

### Method Summary

Methods
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.vcard.Parameter

`equals, getId, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TEXT

    public static final Value TEXT

Text value parameter.

#### URI

    public static final Value URI

URI value parameter.

#### DATE

    public static final Value DATE

Date value parameter.

#### TIME

    public static final Value TIME

Time value parameter.

#### DATE_TIME

    public static final Value DATE_TIME

date-time value parameter.

#### DATE_AND_OR_TIME

    public static final Value DATE_AND_OR_TIME

date-and-or-time value parameter.

#### TIMESTAMP

    public static final Value TIMESTAMP

Timestamp value parameter.

#### BOOLEAN

    public static final Value BOOLEAN

Boolean value parameter.

#### INTEGER

    public static final Value INTEGER

Integer value parameter.

#### FLOAT

    public static final Value FLOAT

Float value parameter.

#### BINARY

    public static final Value BINARY

Binary value parameter.

#### LANGUAGE_TAG

    public static final Value LANGUAGE_TAG

language-tag value parameter.

#### UTC_OFFSET

    public static final Value UTC_OFFSET

utc-offset value parameter.

#### DURATION

    public static final Value DURATION

Resource duration value parameter.

#### FACTORY

    public static final ParameterFactory<Value> FACTORY

### Constructor Detail

#### Value

    public Value(String value)

Parameters:
  `value` - string representation of a value parameter

### Method Detail

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Parameter`
Returns:
  a string representation of the value of the parameter